Bug 53120 - Bug when formatting harddrive
Bug when formatting harddrive
Status: CLOSED DUPLICATE of bug 18032
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
: 53190 53573 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-09-03 21:44 EDT by Need Real Name
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-17 11:41:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-09-03 21:44:20 EDT
Description of Problem:


Version-Release number of selected component (if applicable):


How Reproducible: Problem always occurred during installation whilst Hard 
Disk was being formatted.


Steps to Reproduce:
1. Selected to perform a partitionless install on an extended DOS partition
2. Proceeded through installation as normal
3. 

Actual Results:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + 
\
IndexError: list index out of range

Local variables in innermost frame:
fstab: <fstab.GuiFstab instance at 8498758>
mntPoint: /mnt/sysimage
selected: [ImageMagick, LPRng, MAKEDEV, Mesa, Mesa-devel, ORBit, ORBit-
devel, SDL, SysVinit, XFree86, XFree86-75dpi-fonts, XFree86-devel, XFree86-
libs, XFree86-tools, XFree86-twm, XFree86-xdm, XFree86-xfs, Xaw3d, Xaw3d-
devel, Xconfigurator, anacron, apmd, arpwatch, ash, at, audiofile, 
audiofile-devel, aumix, authconfig, autoconf, automake, autorun, awesfx, 
basesystem, bash, bc, bdflush, bind-utils, binutils, bison, bug-buddy, 
byacc, bzip2, bzip2-devel, cdda2wav, cdecl, cdp, cdparanoia, cdrecord, 
chkconfig, chkfontpath, compat-egcs, compat-egcs-c++, compat-glibc, compat-
libstdc++, console-tools, control-center, control-center-devel, control-
panel, cpio, cpp, cproto, cracklib, cracklib-dicts, crontabs, ctags, cvs, 
cxhextris, cyrus-sasl, db1, db1-devel, db2, db3, desktop-backgrounds, dev, 
dev86, dhcpcd, dia, dialog, diffstat, diffutils, dip, docbook, dosfstools, 
dump, e2fsprogs, ed, ee, eject, esound, esound-devel, expect, extace, 
file, filesystem, fileutils, findutils, finger, flex, fortune-mod, 
freeciv, freetype, ftp, gawk, gcc, gcc-c++, gcc-g77, gcc-objc, gd, gd-
devel, gdb, gdbm, gdbm-devel, gdk-pixbuf, gdk-pixbuf-devel, gdm, gedit, 
gettext, gftp, ghostscript, ghostscript-fonts, gimp, gimp-devel, glade, 
glib, glib-devel, glibc, glibc-devel, gmc, gmp, gnome-applets, gnome-
audio, gnome-audio-extra, gnome-core, gnome-core-devel, gnome-games, gnome-
games-devel, gnome-libs, gnome-libs-devel, gnome-linuxconf, gnome-media, 
gnome-objc, gnome-objc-devel, gnome-pim, gnome-pim-devel, gnome-print, 
gnome-users-guide, gnome-utils, gnorpm, gnotepad+, gnuchess, gnumeric, 
gnupg, gphoto, gpm, gpm-devel, gqview, grep, groff, groff-perl, gtk+, gtk+-
devel, gtk-engines, gtop, guile, gv, gzip, hdparm, ical, imlib, imlib-
cfgeditor, imlib-devel, indent, indexhtml, info, initscripts, ipchains, 
iproute, iptables, iputils, isapnptools, isdn-config, isdn4k-utils, 
jadetex, kbdconfig, kdebase, kdegames, kdegraphics, kdelibs, kdelibs-
devel, kdemultimedia, kdenetwork, kdesupport, kdesupport-devel, kdetoys, 
kdeutils, kdevelop, kernel, kernel-headers, kernel-pcmcia-cs, kernel-
source, kernel-utils, kernelcfg, kgcc, kpppload, krb5-devel, krb5-libs, 
kudzu, kudzu-devel, less, libghttp, libghttp-devel, libglade, libglade-
devel, libgtop, libgtop-devel, libjpeg, libjpeg-devel, libpng, libpng-
devel, librep, libstdc++, libstdc++-devel, libtermcap, libtermcap-devel, 
libtiff, libtiff-devel, libtool, libtool-libs, libungif, libungif-devel, 
libxml, libxml-devel, lilo, linuxconf, linuxconf-devel, logrotate, 
losetup, lrzsz, lsof, ltrace, lynx, m4, magicdev, mailcap, mailx, make, 
man, man-pages, mc, memprof, mikmod, mingetty, minicom, mkbootdisk, 
mkinitrd, mkisofs, mktemp, mkxauth, modemtool, modutils, mount, 
mouseconfig, mpage, mpg123, mtools, multimedia, ncftp, ncompress, ncurses, 
ncurses-devel, ncurses4, net-tools, netcfg, netpbm, netpbm-devel, netpbm-
progs, netscape-common, netscape-communicator, netscape-navigator, newt, 
newt-devel, nfs-utils, njamd, ntsysv, openjade, openldap, openssh, openssh-
askpass, openssh-askpass-gnome, openssh-clients, openssl, openssl-devel, 
pam, passwd, patch, pciutils, pciutils-devel, perl, pidentd, pilot-link, 
pilot-link-devel, playmidi, playmidi-X11, plugger, pmake, pnm2ppa, popt, 
portmap, ppp, printtool, procmail, procps, psmisc, pump, pwdb, pygnome, 
pygnome-libglade, pygtk, pygtk-libglade, python, python-devel, python-
xmlrpc, pythonlib, qt, qt-devel, qt1x, qt1x-devel, quota, raidtools, rcs, 
rdate, readline, readline-devel, redhat-logos, redhat-release, rep-gtk, 
rep-gtk-gnome, rep-gtk-libglade, rhn_register, rhn_register-gnome, rhs-
printfilters, rmt, rootfiles, rp-pppoe, rp3, rpm, rpm-build, rpm-devel, 
rpm-python, rsh, rsync, rusers, rwho, rxvt, samba-client, samba-common, 
sane, sash, sawfish, screen, sed, sendmail, setserial, setup, setuptool, 
sgml-common, sgml-tools, sh-utils, shadow-utils, shapecfg, sharutils, 
slang, slang-devel, slocate, smpeg, sndconfig, sox, stat, statserial, 
strace, stunnel, stylesheets, switchdesk, switchdesk-gnome, switchdesk-
kde, sysklogd, talk, tar, tcl, tclx, tcp_wrappers, tcsh, telnet, termcap, 
tetex, tetex-afm, tetex-dvilj, tetex-dvips, tetex-fonts, tetex-latex, 
tetex-xdvi, texinfo, textutils, time, timeconfig, timetool, tix, tk, 
tkinter, tksysv, tmpwatch, traceroute, trojka, umb-scheme, unzip, up2date, 
up2date-gnome, urw-fonts, usermode, utempter, util-linux, vim-common, vim-
minimal, vixie-cron, which, whois, words, wvdial, xbill, xboard, xboing, 
xcdroast, xchat, xdaliclock, xgammon, xinitrc, xisdnload, xjewel, 
xloadimage, xlockmore, xmms, xmorph, xpaint, xpat2, xpdf, xpilot, 
xpuzzles, xsane, xscreensaver, xsri, xtrojka, xxgdb, yp-tools, ypbind, 
zip, zlib, zlib-devel]
self: <image.CdromInstallMethod instance at 84b78c0>
p: cxhextris
changeloop: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>



Expected Results:


Additional Information:
Comment 1 Matt Wilson 2001-09-05 20:43:43 EDT
Was the FAT filesystem you selected to install on a valid FAT filesystem?
Comment 2 Need Real Name 2001-09-07 20:48:52 EDT
The FAT filesysytem I installed Red Hat on was a FAT32. It did however contain 
a couple of folders which hold data files. But I did account for that when I 
allocated space for the / partition.
Comment 3 Matt Wilson 2001-09-12 12:09:37 EDT
*** Bug 53573 has been marked as a duplicate of this bug. ***
Comment 4 Matt Wilson 2001-09-12 12:09:46 EDT
*** Bug 53190 has been marked as a duplicate of this bug. ***
Comment 5 Brent Fox 2001-09-13 17:52:24 EDT
How much space did you allocate and what was the size of the install?  Also, how
much swap did you specify to use?
Comment 6 Brent Fox 2001-09-24 12:16:40 EDT
Closing due to inactivity.  Please reopen if you have more information.
Comment 7 Need Real Name 2001-09-24 17:28:17 EDT
I had 2GB available and I used 1.8GB for the / partition and about 120MB for 
the swap.
Comment 8 Brent Fox 2001-10-02 12:13:57 EDT
Ok, so you had 1.8 GB for /...what was the total size of all the packages you
selected to install?  

Or, put another way, what type of installation did you select (workstation,
server, or custom)?  After that, what package groups did you select to install?
 It's possible that the package groups you selected took up more than 1.8 GB.
Comment 9 Brent Fox 2001-10-15 12:21:28 EDT
Any more info here?
Comment 10 Need Real Name 2001-10-17 11:41:12 EDT
Apologies for not replying sooner. Been away! The installation was workstation 
and the packages were the default standard packages plus the remaining games. 
The total package size only took up just over 1GB.
Comment 11 Brent Fox 2001-10-17 15:05:03 EDT
It seems that this bug is a duplicate of bug #18032, which as an errata that
should fix this problem.

*** This bug has been marked as a duplicate of 18032 ***

Note You need to log in before you can comment on or make changes to this bug.